<?php

namespace Drupal\foldershare\Entity\FolderShareTraits;

/**
 * Get/set FolderShare entity for root file path and file scheme fields.
 *
 * This trait includes get and set methods for FolderShare entity
 * root file path and file scheme fields
 *
 * <B>Internal trait</B>
 * This trait is internal to the FolderShare module and used to define
 * features of the FolderShare entity class.
 *
 * @ingroup foldershare
 */
trait GetSetRootBasePathTrait {

  /*---------------------------------------------------------------------
   *
   * Root file path field.
   *
   *---------------------------------------------------------------------*/
  /**
   * {@inheritdoc}
   */
  public function getRootBaseFilePath() {
    return $this->get('rootbasepath')->value;
  }

  public function setRootBaseFilePath($name) {
    $this->set('rootbasepath', $name);
    return $this;
  }

  /*---------------------------------------------------------------------
   *
   * File scheme field.
   *
   *---------------------------------------------------------------------*/
  /**
   * {@inheritdoc}
   */
  public function getFileScheme() {
    return $this->get('filescheme')->value;
  }

  public function setFileScheme($name) {
    $this->set('filescheme', $name);
    return $this;
  }

}
